# -*- coding: utf-8 -*-
"""
Created on Wed Jul 27 16:07:30 2022

@author: matthijsdejong
"""

import numpy as np
import pandas as pd
import matplotlib.pyplot as plt
from scipy.optimize import curve_fit
import json

def Lorentzian(x, I, x0, gamma, offset):
    #Cauchy-distribution (Lorentzian power spectrum)
    return I / ( 1 + ( ( x-x0 ) / gamma ) ** 2 ) + offset
#%%

S1 = pd.read_csv('184918/Spectrum.csv', header = 0, sep = ',')
S2 = pd.read_csv('184918/Zoominspectrum.csv', header = 0, sep = ',')
Rd1 = pd.read_csv('184918/Ringdown.csv', header = 0, sep = ',')
measparam = json.load(open("184918/Measurement parameters.json"))

#%%
fig1 = plt.figure(figsize = (6,2))
ax1 = fig1.add_subplot(111)

ax1.set_xlabel('Frequency (kHz)')
ax1.set_ylabel('Power (dB)')

ax1.plot(S1.iloc[0:-1,1]/1e3,S1.iloc[0:-1,3], alpha = 1.0, label = 'Driven', rasterized = True)
ax1.plot(S1.iloc[0:-1,1]/1e3,S1.iloc[0:-1,2], alpha = 0.9, label = 'Thermal', color = 'green', rasterized = True)

ax1.set_xlim((50,500))
ax1.set_ylim((-113,-70))
ax1.legend(loc = 'upper right', ncol = 2, borderpad = 0.4, handletextpad = 0.4, columnspacing = 1.0)

fig1.savefig('Spectrum 184918.png', bbox_inches = 'tight', dpi = 300)
fig1.savefig('Spectrum 184918.svg', bbox_inches = 'tight', format = 'svg', dpi = 300)